

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "BaseTools\Types.h"
#include "DataObjects\ImageBase.h"
#include "private\vw_direct3d8_exports.h"
#include <d3d8.h>


//********************************************************************
namespace vertexware {


//********************************************************************
namespace d3d8_tools {


//====================================================================
// Returns false on error (D3D cannot lock surface).
//====================================================================
VW_DIRECT3D8_API
bool __fastcall CopySurfaceToImage(IDirect3DSurface8& surf, ImageBase& img);


//********************************************************************
}//namespace d3d8_tools


//********************************************************************
}//namespace vertexware


