

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "Framework\DirectInputProxy8.h"
#include <string>

using namespace vertexware;


//====================================================================
class dip_8 : public DirectInputProxy8
{
public:
	dip_8();
	virtual ~dip_8();


	//---------------------------------
	// DirectInputProxy implementation.
	//---------------------------------
	virtual  void  Initialize();
	virtual  void  Shutdown();


	//----------------------------------
	// DirectInputProxy8 implementation.
	//----------------------------------
	virtual  IDirectInput8*  GetDirectInputObject();

	virtual  const GUID&  GetGuidSysKeyboard();
	virtual  const GUID&  GetGuidSysMouse();

	virtual  const DIDATAFORMAT&  GetDataFormatKeyboard();
	virtual  const DIDATAFORMAT&  GetDataFormatMouse();
	virtual  const DIDATAFORMAT&  GetDataFormatMouse2();
	virtual  const DIDATAFORMAT&  GetDataFormatJoystick();
	virtual  const DIDATAFORMAT&  GetDataFormatJoystick2();


private:
	IDirectInput8*  iObject;
};


