

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "Framework\HIDDriver0.h"
#include "vendor_sdk\fglove.h"
#include <vector>

using namespace vertexware;


//====================================================================
class hidd0_5dt_dataglove : public HIDDriver0
{
public:
	hidd0_5dt_dataglove();
	virtual ~hidd0_5dt_dataglove();


	//--------------------------
	// HIDDriver implementation.
	//--------------------------
	virtual  uint  GetDefaultDriverPriority();

	virtual  void  ClearCache();


	//---------------------------
	// HIDDriver0 implementation.
	//---------------------------
	virtual  bool  CanHandleDevice(const DirectInputDeviceInstanceInfo& didii);

	virtual  uint  ProbeDevices();

	virtual  HumanInterfaceDevice*  CreateDevice(uint i);


private:
	std::vector<fdGlove*>  availableGloves;
	std::vector<uint>      gloveComPorts;
};


