

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "Framework\HIDDriver8.h"
#include <vector>

using namespace vertexware;


//====================================================================
class hidd8_generic_gamecontroller : public HIDDriver8
{
public:
	hidd8_generic_gamecontroller();
	virtual ~hidd8_generic_gamecontroller();


	//--------------------------
	// HIDDriver implementation.
	//--------------------------
	virtual  uint  GetDefaultDriverPriority();

	virtual  void  ClearCache();


	//---------------------------
	// HIDDriver8 implementation.
	//---------------------------
	virtual  bool  CanHandleDevice(const DirectInputDeviceInstanceInfo8& didii);

	virtual  uint  GetNumDevices();

	virtual  HumanInterfaceDevice*  CreateDevice(uint i, DirectInputProxy8& dip);


private:
	std::vector<DirectInputDeviceInstanceInfo8>  availableGameControllers;
};


