

//--------------------------------------------------------------------
#include "Framework\LibWrapperDXErr8.h"


//********************************************************************
namespace vertexware {


//====================================================================
LibWrapperDXErr8::PFN_DXGetErrorDescription8  LibWrapperDXErr8::s_pfnDXGetErrorDescription8 = 0;


//====================================================================
std::string __fastcall LibWrapperDXErr8::DXGetErrorDescription8(HRESULT hr)
{
	if(s_pfnDXGetErrorDescription8) {
		return s_pfnDXGetErrorDescription8(hr);
	}
	return "LibWrapperDXErr8 not initialized";
}


//====================================================================
std::string  LibWrapperDXErr8::GetGenericExtensionInterfaceName()
{
	return VW_INTERFACE_NAME_LibWrapperDXErr8;
}


//====================================================================
void  LibWrapperDXErr8::InvalidateProcAddresses()
{
	SetProcAddresses(0);
}


//====================================================================
void  LibWrapperDXErr8::SetProcAddresses(PFN_DXGetErrorDescription8 pfnDXGetErrorDescription8)
{
	s_pfnDXGetErrorDescription8 = pfnDXGetErrorDescription8;
}


//********************************************************************
}//namespace vertexware


