

//--------------------------------------------------------------------
#include "GUI\GUI_InterleavedRenderArea.h"
#include "Framework\Application.h"


//********************************************************************
namespace vertexware {


//********************************************************************
namespace gui {


//====================================================================
InterleavedRenderArea::InterleavedRenderArea(gui::Component* _parent, uint _areaCode)
{
	areaCode = _areaCode;
	if(_parent) AttachTo(*_parent);
}


//====================================================================
void  InterleavedRenderArea::DrawSelf(gui::Renderer& gr)
{
	gr.BeginInterleaved();
	Kernel::Instance().GetApplication().FrameRenderArea(*this);
	gr.EndInterleaved();
}


//********************************************************************
}//namespace gui


//********************************************************************
}//namespace vertexware


