

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "MathTools\MathBase.h"
#include "BaseTools\Constructs.h"
#include "private\vw_common_exports.h"


//********************************************************************
namespace vertexware {


//********************************************************************
namespace math_constants {


//====================================================================
VW_COMMON_API  VW_DECLARE_CONSTANT( float, VectorEqualTestDefaultToleranceRadius );
VW_COMMON_API  VW_DECLARE_CONSTANT( float, VectorOrthogonalTestDefaultMaxCosAngle );
VW_COMMON_API  VW_DECLARE_CONSTANT( float, VectorParallelTestDefaultMinCosAngle );
VW_COMMON_API  VW_DECLARE_CONSTANT( float, VectorNoiseFilterDefaultTolerance );


//********************************************************************
}//namespace math_constants


//********************************************************************
}//namespace vertexware


