

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "GUI\GUI_BehaviorBases.h"
#include "private\vw_gui_cs0_exports.h"


//********************************************************************
namespace vertexware {


//********************************************************************
namespace gui_cs0 {


//====================================================================
class VW_GUI_CS0_API Rubberband : public gui::RubberBand
{
	VW_GUI_COMPONENT_DECLARE_SHADER_DLL(VW_GUI_CS0_API, Shader);
	VW_GUI_COMPONENT_DECLARE_CHECK_SHADER(Shader);


public:
	//----------------------
	// Rubberband interface.
	//----------------------
	Rubberband(gui::MessageHandler* commandTarget = 0,
				uint commandID = 0);
};


//********************************************************************
}//namespace gui_cs0


//********************************************************************
}//namespace vertexware


