

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "Framework\Application.h"
#include "Framework\VideoSubsystem.h"

using namespace vertexware;


//====================================================================
class AppSubsysManager
{
public:
	AppSubsysManager();
	~AppSubsysManager();

	void  SetReconfigParams(uint _reconfigCode) { reconfigCode = _reconfigCode; }

	void  InitializeSubsystems();
	void  CleanupSubsystems();
	void  ConnectSubsystemsToAppWindow(VideoSubsystemWindow& w);
	void  DisconnectSubsystemsFromAppWindow();


private:
	bool  bSubsysInitalized;
	bool  bSubsysConnectedToWindow;
	uint  iReconfigCount;
	uint  reconfigCode;
};

