

//--------------------------------------------------------------------
#include "GLTools\DisplayLists.h"
#include "GLTools\ErrorHandling.h"


//********************************************************************
namespace vertexware {


//********************************************************************
namespace gl_tools {


//====================================================================
DisplayList::DisplayList()
{
	name = glGenLists(1);
	if(! name) {
		VW_THROW(OpenGLException, "Cannot allocate GL-display-list name.");
	}
}


//====================================================================
DisplayList::~DisplayList()
{
	glDeleteLists(name, 1);
}


//********************************************************************
}//namespace gl_tools


//********************************************************************
}//namespace vertexware


