

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "BaseTools\CompilerConfig.h"
#include "private\vw_common_exports.h"


//********************************************************************
namespace vertexware {


//====================================================================
// No-copy pattern disables copying of objects of derived classes.
//====================================================================
class VW_COMMON_API NoCopy
{
public:
	NoCopy() {}


private:
	// leave out the definitions
	NoCopy(const NoCopy&);
	NoCopy& operator=(const NoCopy&);
};


//********************************************************************
}//namespace vertexware

