

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "Framework\VideoSubsystem.h"
#include "private\vw_direct3d8_exports.h"
#include <d3d8.h>


//********************************************************************
namespace vertexware {


//====================================================================
class VW_DIRECT3D8_API VideoSubsystemDirect3D8 : public VideoSubsystem
{
public:
	virtual ~VideoSubsystemDirect3D8();

	//------------------------
	// Exceptions NOT allowed.
	//------------------------
	virtual  IDirect3D8*        GetD3DObject() = 0;
	virtual  IDirect3DDevice8*  GetD3DDevice() = 0;


protected:
	VideoSubsystemDirect3D8();
};


//====================================================================
#define  VW_INTERFACE_NAME_VideoSubsystemDirect3D8   "VideoSubsystemDirect3D8"


//********************************************************************
}//namespace vertexware


