
@echo off
setlocal


set PROJECT_PATH=%1
if NOT defined PROJECT_PATH (
	echo USAGE: arg1=project-path
	goto :EOF
)


echo **************************************
echo Creating application project directory
echo **************************************

set REF_PROJECT_DIR=..\app_null
set REF_BIN_DIR=..\..\bin

set PROJECT_BIN_DIR=%PROJECT_PATH%\Bin


echo ***** Preparing project root directory *****
mkdir %PROJECT_PATH%
set XCOPY_PARAMS=/S /E /Y /I
xcopy  %REF_PROJECT_DIR%\*.*    %PROJECT_PATH%   %XCOPY_PARAMS%


echo ***** Preparing project binary directory *****
mkdir %PROJECT_BIN_DIR%
set XCOPY_PARAMS=/Y /I
xcopy  %REF_BIN_DIR%\gui_std_tiletexture_set0.tif    %PROJECT_BIN_DIR%   %XCOPY_PARAMS%
set XCOPY_PARAMS=/S /E /Y /I
xcopy  %REF_BIN_DIR%\*.exe                           %PROJECT_BIN_DIR%   %XCOPY_PARAMS%
xcopy  %REF_BIN_DIR%\*.dll                           %PROJECT_BIN_DIR%   %XCOPY_PARAMS%
del    %PROJECT_BIN_DIR%\app_*.dll
del    %PROJECT_BIN_DIR%\tool_*.exe


endlocal
@echo on
