

//--------------------------------------------------------------------
#pragma once


//====================================================================
// vertexware build-configuration.
//====================================================================
#ifdef  _DEBUG
#define  VW_BUILD_DEBUG
#else  //NDEBUG
#define  VW_BUILD_RELEASE
#endif


//====================================================================
// Configure VC60 warnings.
//====================================================================

// identifier was truncated to 255 characters in the debug information
#pragma warning ( disable : 4786 )

// default template arguments are only allowed on a class template
#pragma warning ( disable : 4519 )

// argument truncation from double to float
#pragma warning ( disable : 4305 )

// initializing conversion from double to float, possible loss of data
#pragma warning ( disable : 4244 )

// class 'type1' needs to have dll-interface to be used by clients of class 'type2'
#pragma warning ( disable : 4251 )

// nonDLL-interface 'class1' used as base for DLL-interface 'class2'
#pragma warning ( disable : 4275 )


//====================================================================
// Configure windows headers.
//====================================================================
#define  _WIN32_WINNT  0x0500   //support only Win2000 and higher
#define  OEMRESOURCE            //activate additional resource definitions


//====================================================================
// Include windows headers.
//====================================================================
#include <windows.h>
#include <process.h>
#include <gdiplus.h>


//====================================================================
// Include export definitions.
//====================================================================
#include "private\vw_common_exports.h"


