

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "GUI\GUI_Component.h"


//********************************************************************
namespace vertexware {


//********************************************************************
namespace gui {


//====================================================================
// Internally calls application method to draw self.
//====================================================================
class VW_COMMON_API InterleavedRenderArea : public gui::Component
{
public:
	//---------------------------------
	// InterleavedRenderArea interface.
	//---------------------------------
	InterleavedRenderArea(gui::Component* parent = 0, uint areaCode = 0);

	void  SetAreaCode(uint code = 0) { areaCode = code; }
	uint  GetAreaCode() const { return areaCode; }


protected:
	//---------------------
	// Component overrides.
	//---------------------
	virtual  void  DrawSelf(gui::Renderer& gr);


protected:
	//------------
	// Properties.
	//------------
	uint  areaCode;
};


//********************************************************************
}//namespace gui


//********************************************************************
}//namespace vertexware


