

//--------------------------------------------------------------------
#include "VideoRendererObjects\VRO_Resources.h"


//********************************************************************
namespace vertexware {


//********************************************************************
namespace video_renderer_objects {


//====================================================================
Resource::Resource(eResourceType _resourceType)
{
	resourceType = _resourceType;
	priority = Resource::DefaultPriority;
	userData = 0;
}


//====================================================================
Resource::~Resource()
{
}


//====================================================================
void  Resource::SetPriority(uint newPriority)
{
	if(priority == newPriority) return;
	priority = newPriority;
	UpdatePriority();
}


//********************************************************************
}//namespace video_renderer_objects


//********************************************************************
}//namespace vertexware


