

//--------------------------------------------------------------------
#pragma once


//--------------------------------------------------------------------
#include "BaseTools\Types.h"
#include "private\vw_gui_cs0_exports.h"


//********************************************************************
namespace vertexware {


//********************************************************************
namespace gui_cs0 {


//====================================================================
enum eShader
{
	Shader_Dummy = 0,

	Shader_Label_Static,
	Shader_Label_Active,
	Shader_Label_Link,

	Shader_TextButton_Press,
	Shader_TextButton_Push,
	Shader_TextButton_Toggle,

	Shader_IconButton_Press,
	Shader_IconButton_Push,
	Shader_IconButton_Toggle,

	Shader_CheckBox,
	Shader_RadioButton,
	Shader_EditBox,
	Shader_ComboBox,
	Shader_ScrollBar,
	Shader_HorzSeparator,
	Shader_HorzTextSeparator,
	Shader_ControlGroupFrame,
	Shader_LogoSpinner,
	Shader_ToolTip,
	Shader_RubberBand,

	Shader_MenuBar,
	Shader_MenuBar_IconButton_BarControl,
	Shader_MenuTitle,
	Shader_MenuPane,
	Shader_MenuSeparator,
	Shader_MenuItem,

	Shader_PixelOffsetControlPane,
	Shader_PixelOffsetControlPane_IconButton,
	Shader_PixelOffsetControlPane_Label,

	Shader_PropertyTab,
	Shader_PropertyPage,

	Shader_Console_OutputBgr,
	Shader_Console_EditBox,
	Shader_Console_ScrollBar,

	Shader_TopLevelFrame,
	Shader_TopLevelFrame_IconButton_FrameControl_Push,
	Shader_TopLevelFrame_IconButton_FrameControl_Toggle,
	Shader_TopLevelFrame_TextButton_FrameControl_Push,
	Shader_TopLevelFrame_TextButton_FrameControl_Toggle,

	Shader_TopLevelPane,
	Shader_TopLevelPane_IconButton_PaneControl,

	Shader_Overlay_Label_Static,
	Shader_Overlay_TextButton_Press,
	Shader_Overlay_TextButton_Push,
	Shader_Overlay_TextButton_Toggle,
	Shader_Overlay_IconButton_Press,
	Shader_Overlay_IconButton_Push,
	Shader_Overlay_IconButton_Toggle,
	Shader_Overlay_CheckBox,

	Shader_Count,
	Shader_Force32Bits = 0x7FFFFFFF
};


//====================================================================
VW_GUI_CS0_API std::string __fastcall DefaultShaderName(eShader s);


//********************************************************************
}//namespace gui_cs0


//********************************************************************
}//namespace vertexware


